System Requirements - Hadoop

Updated

Commvault supports Hadoop distributions such as Cloudera, Hortonworks, etc., provided the following requirements for Apache Hadoop are met:

Application/Operating System

Architecture

Apache Hadoop 2.5.2 or higher,

MapR 5.2 or higher without any security configured on:

Linux

Oracle Linux

Oracle Linux 8.x with glibc 2.28.x

x64 or compatible processors

Oracle Linux 7.x with glibc 2.17.x

x64 or compatible processors

Red Hat Enterprise Linux/CentOS

Red Hat Enterprise Linux/CentOS 8.x with glibc 2.17.x

x86, x64 or compatible processors

Red Hat Enterprise Linux/CentOS 7.x with glibc 2.17.x

x86, x64 or compatible processors

Red Hat Enterprise Linux/CentOS 6.x with glibc 2.12.x

x86 or compatible processors

Red Hat Enterprise Linux/CentOS 6.x with a minimum of glibc 2.12-1.25.x

x64

Red Hat Enterprise Linux/CentOS 5.x with glibc 2.5.x

x86, x64 or compatible processors

Ubuntu

Ubuntu 16.04 LTS

x86, x64 or compatible processors

Ubuntu 15.10

x86, x64 or compatible processors

Ubuntu 15.04

x86, x64 or compatible processors

Ubuntu 14.10

x86, x64 or compatible processors

Ubuntu 14.04 LTS

x86, x64 or compatible processors

Ubuntu 13.10

x86, x64 or compatible processors

Ubuntu 13.04

x86, x64 or compatible processors

Ubuntu 12.10

x86, x64 or compatible processors

Ubuntu 12.04 LTS

x86, x64 or compatible processors

Hard Drive

1 GB of minimum disk space is required for installing the software.

To calculate the disk space requirements for the job results directory, see Job Results Directory Disk Space Calculation.

500 MB of free disk space is required for the log directory.

Miscellaneous

Java Development Kit (JDK)

Java Development Kit (JDK) 1.7 or higher must be installed on all data access nodes.

DISCLAIMER

Third-party maintenance (minor) releases or service packs that are supported by the Commvault software may not be listed in our System Requirements. When possible, Commvault provides information on any known issues related to these minor releases or service packs. In some cases, these minor releases or service packs affect how the Commvault software works. Commvault software may experience changes in functionality as the result of the third-party minor release or service pack. These changes are beyond the control of Commvault. Platforms that are supported in the current version of Commvault software may not be supported in earlier versions of the software. Contact your software provider to ensure that third-party minor releases or service packs are compatible with the Commvault software.

Additional considerations regarding minimum requirements and End-of-Life policies from third-party vendors also apply.